/*
	fldcls.c

	% field_Close

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
*/					

#include "field.h"


void field_Close(field_type field)
/*
 *	effects:    Closes the field and releases storage.
 */
{
	cs_Assert(field_Ok(field), CS_FLD_C_FLD, 0);

	/* close the field's bob */
	if (field_GetBob(field) != NULL) {
		obj_Close(field_GetBob(field));
	}

	/* relear storage used by the field */
	ofree(CSA_FIELD, (VOID *) field);
}
